org.eclipse.rap.rwt.theme

## Class BoxDimensions

- java.lang.Object
- - org.eclipse.rap.rwt.theme.BoxDimensions

All Implemented Interfaces:
  java.io.Serializable

    public class BoxDimensions
    extends java.lang.Object
    implements java.io.Serializable

Represents a set of dimensions that apply to the four edges of a widget, e.g. padding or border widths.

Since:
  3.0
See Also:
  Serialized Form

### Field Summary

Fields
`int` `bottom` the value for the lower edge
`int` `left` the value for the left edge
`int` `right` the value for the right edge
`int` `top` the value for the upper edge

### Constructor Summary

Constructors
Constructor and Description
`BoxDimensions(int top, int right, int bottom, int left)` Creates an immutable instance of BoxDimensions.

### Method Summary

Methods
`boolean` `equals(java.lang.Object obj)`
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### top

    public final int top

the value for the upper edge

#### right

    public final int right

the value for the right edge

#### bottom

    public final int bottom

the value for the lower edge

#### left

    public final int left

the value for the left edge

### Constructor Detail

#### BoxDimensions

    public BoxDimensions(int top,
                 int right,
                 int bottom,
                 int left)

Creates an immutable instance of BoxDimensions. Values are specified in the same order as known from CSS box model, clock-wise, starting at the top.

Parameters:
  `top` - the value for the upper edge
  `right` - the value for the right edge
  `bottom` - the value for the lower edge
  `left` - the value for the left edge

### Method Detail

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public boolean equals(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`

Copyright (c) EclipseSource and others 2002, 2017. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0